Multivariate Pattern Analysis in Python

# mvpa2.featsel.helpers.ElementSelector

class `mvpa2.featsel.helpers.``ElementSelector`(mode='discard', **kwargs)

  Base class to implement functors to select some elements based on a sequence of values.

  Notes

  Available conditional attributes:

  - `ndiscarded+`: Store number of discarded elements.

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `descr` | Description of the object if any
  `mode` |

  Methods

  `__call__`(seq)

  Parameters: |

  Parameters:

  mode : {‘discard’, ‘select’}

  > Decides whether to `select` or to `discard` features.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  descr : str

  > Description of the instance

  Attributes

  `descr` | Description of the object if any
  `mode` |

  Methods

  `__call__`(seq)

  Parameters: |

  `mode`